/*!
* PT. IMAJIKU CIPTA MEDIA
* Copyright 2019-2021 IMAJIKU.
*/

/* = GENERAL
-------------------------------------------------------------*/
.bg-vilage{
	background-image: url('../images/layouts/bg-vilage.png');
	background-repeat: no-repeat;
	background-position: bottom left;
	background-size: 100% auto;
}
.bg-vilage-2{
	background-image: url('../images/layouts/bg-vilage-2.png');
	background-repeat: repeat-x;
	background-position: bottom center;
	background-size: auto 400px;
}
.bg-vilage-3{
	background-image: url('../images/layouts/bg-vilage-3.png');
	background-repeat: no-repeat;
	background-position: bottom center;
	background-size: 100% 465px;
}
.bg-vilage-4{
	background-image: url('../images/layouts/bg-vilage-4.png');
	background-repeat: no-repeat;
	background-position: bottom right;
	background-size: 100% 540px;
}

.img-radius-1{
	border-radius: 6px 100px 6px 6px;
	-moz-border-radius: 6px 100px 6px 6px;
	-webkit-border-radius: 6px 100px 6px 6px;
}

/* = CARD
------------------------------------------------------------ */
/* big card */
.card-resin{
	display: grid;
	grid-template-columns: 1fr 1fr;
	width: 100%;
	position: relative;
}
.card-resin-img{
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	z-index: 5;
}
.card-resin-img img{
	display: block;
	width: 100%;
	height: auto;
	margin: 0 auto;
	border-radius: 20px;
	-webkit-border-radius: 20px;
	-moz-border-radius: 20px;
	box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
	-webkit-box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
	-moz-box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);	
}
.card-resin-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	position: relative;
	z-index: 2;
}
.card-resin-caption{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	padding: 40px 20px 40px 30px;
	border-radius: 0 20px 20px 0;
	-webkit-border-radius: 0 20px 20px 0;
	-moz-border-radius: 0 20px 20px 0;
	background-color: var(--color-1);
}
.card-resin-desc h2,
.card-resin-desc h3{
	font-size: 30px;
	font-weight: 500;
	color: var(--white);
	font-family: var(--font-family-1);
}
.card-resin-desc p{
	font-size: 16px;
	font-weight: 400;
	color: var(--white);
	font-family: var(--font-family-2);
}

/* card listing */
.list-card-scape{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
}
.list-card-scape li{
	display: block;
	position: relative;
}
.card-scape{
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
}
.card-scape-img{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 80px;
	height: auto;	
}
.card-scape-img img{
	display: block;
	width: 65px;
	height: auto;
}
.card-scape-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	flex: 1;
	padding: 2px 15px 2px;
}
.card-scape-desc h4{
	font-size: 18px;
	line-height: 1.2;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--color-2);
	text-align: left;
}
.card-scape-desc p{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--color-text-1);
	text-align: left;	
}

/* card member */
.card-themember-box{
	display: block;
	position: relative;
}
.card-themember{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
	min-height: 180px;
	border: 1px solid var(--grey-200);
	background-color: var(--white);
	position: relative;
	padding: 15px;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
}
.card-themember:hover{
	border-color: var(--color-3);
	box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
	-webkit-box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
	-moz-box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
}
.card-themember-img{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
}
.card-themember-img img{
	display: block;
	width: auto;
	max-width: 100%;
	height: auto;
	max-height: 60px;
	margin: 0 auto;
}
.card-themember-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	padding: 10px 0 10px;
}
.card-themember-desc h4{
	font-size: 16px;
	font-weight: 500;
	line-height: 1.2;
	color: var(--color-text-1);
	margin-bottom: 10px;
	text-align: center;
}
.card-themember-desc-tag{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	list-style: none;
	margin: 0;
	padding: 0;
	row-gap: 8px;
	column-gap: 8px;
}
.card-themember-desc-tag li{}
.card-themember-desc-tag h5{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 3px 6px 3px;
	font-size: 12px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
	text-align: center;
	color: var(--color-text-2);
	border: 1px solid var(--grey-300);
	background-color: var(--white);
	border-radius: 15px;
	-webkit-border-radius: 15px;
	-moz-border-radius: 15px;
}

/* variant 2 */
.card-themember-box.variant-2 .card-themember{
	justify-content: center;
	min-height: 180px;
}
.card-themember-box.variant-2 .card-themember-img img{
	max-height: 80px;
}

/* variant 3 */
.card-themember-box.variant-3 .card-themember{
	justify-content: center;
	min-height: 200px;
	padding: 20px;
}
.card-themember-box.variant-3 .card-themember:hover{
	border-color: var(--grey-200);
	box-shadow: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
}
.card-themember-box.variant-3 .card-themember-img img{
	width: 100%;
	height: auto;
	max-height: unset;
}

/* card about */
.card-moon-box{
	display: block;
}
.card-moon{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	position: relative;
	overflow: hidden;
	width: 100%;
	min-height: 360px;
	background-color: var(--color-1);
	border-radius: 10px;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
}
.card-moon-caption{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	width: 100%;
	position: relative;
	z-index: 1;
	padding: 25px 25px 70px 25px;
}
.card-moon-caption h3{
	font-size: 24px;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--white);
	margin-bottom: 10px;
}
.card-moon-caption p{
	font-size: 16px;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--white);
	margin-bottom: 0;
}
.card-moon-caption-icon{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: flex-start;
	width: 100%;
	margin-bottom: 25px;
}
.card-moon-caption-icon img{
	display: block;
	width: 50px;
	height: auto;
}
.card-moon-door{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	background-color: var(--white);
	padding: 0 0 20px 0;
	border-radius: 50px 0 0 0;
	-webkit-border-radius: 50px 0 0 0;
	-moz-border-radius: 50px 0 0 0;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 80px;
	left: 0;
	transform: translate(0%,65%);
	z-index: 5;
	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
}
.card-moon-door-label{
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	align-items: center;
	width: 100%;
	padding: 15px 20px 30px 30px;
}
.card-moon-door-label h4{
	font-size: 13px;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--color-3);
	margin: 0 10px 0 0;
}
.card-moon-door-label i{
	font-size: 18px;
	color: var(--color-3);
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;	
}
.card-moon-door-list{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
	height: calc(100% - 130px);
	max-height: calc(100% - 130px);
	padding: 10px 15px 10px;
	overflow-x: auto;
}
.card-moon:hover .card-moon-door{
	transform: translate(0%, 0%);
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
}
.card-moon:hover .card-moon-door-label i{
	transform-origin: center;
	transform: rotate(180deg);
	transition: all 1s ease;
	-webkit-transition: all 1s ease;
	-moz-transition: all 1s ease;	
}

/* card event */
.card-agenda-box {
	display: block;
	position: relative;
	width: 100%;
}
.card-agenda {
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-start;
	width: 100%;
	min-height: 400px;
	position: relative;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;	
	background-color: var(--white);
	overflow: hidden;
}
.card-agenda-img {
	position: absolute;
	top: 0;
	left: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	overflow: hidden;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	z-index: 1;
}
.card-agenda-img [data-aspect-ratio] {
	background-color: transparent;
}
.card-agenda-img img {
	display: block;
	height: 100%;
	width: 100%;
	object-fit: cover;
	object-position: center;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
}
.card-agenda:hover .card-agenda-img img {
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
	filter: brightness(60%);
	-webkit-filter: brightness(60%);
	-moz-filter: brightness(60%);
	object-fit: cover;
	transform: scale(1.03);
	-webkit-transform: scale(1.03);
	-moz-transform: scale(1.03);
}
.card-agenda-mark {
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	top: 20px;
	left: 20px;
	z-index: 10;
}
.card-agenda-mark-iconbox {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	background-color: var(--white);
}
.card-agenda-mark-iconbox i{
	font-size: 18px;
	color: var(--color-1);
}
.card-agenda-desc {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: flex-start;
	width: calc(100% - 30px);
	height: auto;
	margin: 15px;
	padding: 15px;
	background-color: rgba(49, 96, 103, 0.8);
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;	
	z-index: 5;
	overflow: hidden;
}
.card-agenda-desc-text {
	text-overflow: ellipsis;
}
.card-agenda-desc-text h4,
.card-agenda-desc-text h4 a{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;
	font-size: 20px;
	color: var(--white);
	font-weight: 500; 
	line-height: 1.2;
	font-family: var(--font-family-1);
	margin-bottom: 0;
}
.card-agenda-desc-text h4{
	margin-bottom: 5px;
}
.card-agenda-desc-text h4:hover,
.card-agenda-desc-text h4 a:hover{
	color: var(--color-button-2);
}
.card-agenda-desc-text p {
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	color: var(--white);
	font-size: 14px;
	line-height: 1.2;
	margin-bottom: 0;
}
.card-agenda-datetime {
	position: relative;
	display: flex;
	font-size: 14px;
	color: #999999;
	flex-wrap: wrap;
}
.card-agenda-action {
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	padding-top: 10px;
	width: 100%;
}
.card-agenda-meta {
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	row-gap: 5px;
	column-gap: 5px;
	margin-bottom: 8px;
	width: 100%;
}
.card-agenda-meta-time {
	display: flex;
	margin-right: 10px;
}
.card-agenda-meta-time p{
	font-size: 11px;
	font-weight: 400;
	line-height: 1;
	color: var(--white);
	white-space: nowrap;
	margin-bottom: 0;
}
.card-agenda-meta-time i{
	color: var(--color-3);
}
.card-agenda-meta-location{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	position: relative;
}
.card-agenda-meta-location p{
	font-size: 11px;
	font-weight: 400;
	line-height: 1;
	color: var(--white);
	white-space: nowrap;
	margin-bottom: 0;
}
.card-agenda-meta-location i{
	color: var(--color-3);
}
.card-agenda-status{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	text-align: center;
	width: 200px;
	height: 35px;
	padding: 5px 10px 5px;
	background-color: var(--grey-300);
	position: absolute;
	top: 0;
	right: 0;
	transform: translate(34%,34%) rotate(45deg);
	transform-origin: center;
	z-index: 10;
}
.card-agenda-status p{
	font-size: 14px;
	font-weight: 500;
	line-height: 1;
	margin-bottom: 0;
	text-align: center;
	color: var(--grey-800);
}

/* status agenda */
.card-agenda[data-status="closed"] .card-agenda-img img{
	filter: grayscale(90%);
}
.card-agenda[data-status="closed"] .card-agenda-desc{
	background-color: rgba(109, 109, 109, 0.7);
}
.card-agenda[data-status="closed"] .card-agenda-desc-text h4,
.card-agenda[data-status="closed"] .card-agenda-desc-text h4 a,
.card-agenda[data-status="closed"] .card-agenda-meta-time p,
.card-agenda[data-status="closed"] .card-agenda-meta-time i,
.card-agenda[data-status="closed"] .card-agenda-meta-location p,
.card-agenda[data-status="closed"] .card-agenda-meta-location i{
	color: var(--grey-900);
}

/* = Search
------------------------------------------------------------ */
.searching-category-box{
	display: flex;
	position: relative;
}
.nav-tabs.searching-category{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
	row-gap: 10px;
	column-gap: 10px;
	border-bottom: none;
}
.nav-tabs.searching-category li{
	width: 100%;
}
.nav-tabs.searching-category .nav-link{
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	font-size: 14px;
	font-weight: 500;
	line-height: 1.2;
	padding: 10px 15px 10px;
	border-radius: 25px;
	-webkit-border-radius: 25px;
	-moz-border-radius: 25px;
	color: var(--color-2);
	border-color: var(--color-2);
	background-color: var(--white);
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
}
.nav-tabs.searching-category .nav-item.show .nav-link, 
.nav-tabs.searching-category .nav-link.active{
	color: var(--white);
	background-color: var(--color-button-2);
	border-color: var(--color-button-2);
}
/* card for search */
.card-kinet-box{
	display: flex;
	position: relative;
	width: 100%;
}
.card-kinet-box a{
	width: 100%;
}
.card-kinet{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: stretch;
	width: 100%;
	background-color: var(--white);
	border: 1px solid var(--grey-300);
	border-radius: 6px;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
}
.card-kinet-img{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: stretch;
	overflow: hidden;
	width: 120px;
	height: auto;
	border-radius: 6px;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
}
.card-kinet-img img{
	display: block;
	width: 100%;
	height: 100%;
	margin: 0 auto;
	object-fit: cover;
	object-position: center;
}
.card-kinet-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	flex: 1;
	padding: 10px 15px 10px;
}
.card-kinet-tag{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
	row-gap: 5px;
	column-gap: 5px;
}
.card-kinet-tag li{
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 12px;
	line-height: 1;
	padding: 3px 8px 3px;
	border-radius: 3px;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	background-color: var(--grey-100);
	color: var(--grey-600);
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
}
.card-kinet-tag li:hover{
	opacity: 0.8;
	transition: all 0.6s ease-in-out;
	-webkit-transition: all 0.6s ease-in-out;
	-moz-transition: all 0.6s ease-in-out;
}
.card-kinet-caption{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
}
.card-kinet-caption h4{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	font-size: 16px;
	font-weight: 500;
	font-family: var(--font-family-1);
	line-height: 1.2;
	color: var(--color-text-1);
	margin: 5px 0 5px;
	transition: all 0.3s ease-in-out;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;	
}
.card-kinet:hover .card-kinet-caption h4{
	color: var(--color-button-1);
	transition: all 0.6s ease-in-out;
	-webkit-transition: all 0.6s ease-in-out;
	-moz-transition: all 0.6s ease-in-out;	
}
.card-kinet-caption p{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	font-size: 13px;
	font-weight: 400;
	font-family: var(--font-family-2);
	line-height: 1.4;
	color: var(--color-text-3);
	margin-bottom: 0;
}
.card-kinet-info{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
}
.card-kinet-info p{
	font-size: 11px;
	font-weight: 400;
	font-family: var(--font-family-2);
	line-height: 1.2;
	color: var(--color-text-3);
	margin-bottom: 0;
}

/* = HOME
------------------------------------------------------------ */
.section-home-org{
	position: relative;
	display: flex;
	align-items: center;
	min-height: 500px;
}

/* = MEMBERSHIP
------------------------------------------------------------ */
.mitra-list{}
.mitra-list ul{
	display: grid;
	grid-template-columns: repeat(5, 1fr);
	list-style: none;
	padding: 0;
	margin: 0;
	row-gap: 10px;
	column-gap: 10px;
}
.mitra-list li{}
.membership-detail-info{}
.membership-detail-info h2,
.membership-detail-info h3{
	font-size: 30px;
	line-height: 1.2;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--color-1);
	text-align: left;	
	margin-bottom: 10px;
}
.membership-detail-info h4{
	font-size: 16px;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--color-1);
	text-align: left;
	margin-bottom: 5px;
}
.membership-detail-info h5{
	font-size: 16px;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--color-2);
	text-align: left;
	margin-bottom: 5px;
}
.membership-detail-info p{
	font-size: 16px;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--color-1);
	text-align: left;
	margin-bottom: 5px;
}
.membership-form-intro{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
}
.membership-form-intro h1,
.membership-form-intro h2{
	font-size: 40px;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--color-text-1);
	text-align: center;
	margin-bottom: 10px;
}
.membership-form-intro h3{
	font-size: 32px;
	font-weight: 500;
	font-family: var(--font-family-1);
	color: var(--color-text-1);
	text-align: center;
	margin-bottom: 10px;
}
.membership-form-intro p{
	font-size: 16px;
	font-weight: 400;
	font-family: var(--font-family-2);
	color: var(--color-text-1);
	text-align: center;
	margin-bottom: 5px;
}

/* = ABOUT
------------------------------------------------------------ */
.section-about-org{
	min-height: 700px;
}
.menupage-sticky-box{
	display: block;
	width: 100%;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;		
}
.menupage-sticky-box.sticky{
	position: fixed;
	top: 60px;
	left: 0;
	z-index: 980;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
}
.menupage-sticky{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	background-color: var(--color-1);
	width: 100%;
}
.menupage-sticky-box.sticky .menupage-sticky{
	box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
	-webkit-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
	-moz-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);			
}
.menupage-sticky-menus{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	column-gap: 8px;
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
	height: 50px;
}
.menupage-sticky-menus li{
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100%;
}
.menupage-sticky-menus .mps-menu{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: auto;
	height: 100%;
	padding: 5px 20px 5px;
	font-size: 16px;
	font-weight: 500;
	line-height: 1;
	margin: 0;
	position: relative;
	color: var(--white);
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;	
}
.menupage-sticky-menus .mps-menu::before{
	content: "";
	display: block;
	width: 0;
	height: 5px;
	background-color: var(--color-2);
	position: absolute;
	left: 0;
	bottom: 0;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;		
}
.menupage-sticky-menus .mps-menu:hover{
	color: var(--color-2);
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;	
}
.menupage-sticky-menus .mps-menu:hover::before{
	content: "";
	width: 100%;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;		
}
.menupage-sticky-menus .mps-menu:active,
.menupage-sticky-menus .active .mps-menu{
	color: var(--color-2);
}

/* section about intro */
.section-about-intro{}

/* about cover hightlight */
.about-highlight-cover{
	position: relative;
	display: flex;
	justify-content: center;
	align-items: flex-end;
}
.about-highlight-cover .mark-eclipse{
	display: flex;
	justify-content: center;
	align-items: center;
	position: absolute;
	right: 0;
	bottom: 0;
	transform: translate(15%,31%);
	width: 300px;
	height: 300px;
}
.about-highlight-cover .img-me-1{
	position: relative;
	display: block;
	width: 100%;
	height: auto;
	margin: 0 auto;
	z-index: 1;
	-webkit-animation-name: ef-rotating;
	animation-name: ef-rotating;
	animation-timing-function: linear;
	-webkit-animation-timing-function: linear;
	animation-duration: 15s;
	-webkit-animation-duration: 15s;
	animation-iteration-count: infinite;
	-webkit-animation-iteration-count: infinite;
	animation-fill-mode: forwards;
	-webkit-animation-fill-mode: forwards;		
}
.about-highlight-cover .mark-eclipse-crop{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 63%;
	height: 63%;
	overflow: hidden;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	border-radius: 50%;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	z-index: 5;
}
.about-highlight-cover .img-me-2{
	display: block;
	width: 100%;
	height: 100%;
	object-position: center;
	object-fit: cover;
	margin: 0 auto;
}

.about-thegoal-list-box{
	display: block;
	width: 100%;
	position: relative;
}
.about-thegoal-list{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	list-style: none;
	padding: 0 15px 0;
	width: 100%;
	height: auto;
	margin: -50px 0 0 0;
	row-gap: 15px;
	column-gap: 15px;
}
.about-thegoal-list li{
	display: flex;
	flex: 1;
	max-width: 400px;
}
.card-thegoal{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: stretch;
	flex-wrap: nowrap;
	margin: 0 auto;
	width: 100%;
	min-height: 120px;
	min-width: 280px;
	max-width: 400px;
	background-color: var(--color-3);
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
}
.card-thegoal-img{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 80px;
}
.card-thegoal-img img{
	display: block;
	width: 50px;
	height: auto;
	margin: 0 auto;
}
.card-thegoal-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	flex: 1;
	padding: 15px 15px 15px 5px;
}
.card-thegoal-desc h4{
	font-size: 18px;
	font-weight: 700;
	line-height: 1.2;
	color: var(--white);
	text-align: left;
	margin-bottom: 5px;
	font-family: var(--font-family-2);
}
.card-thegoal-desc p{
	font-size: 14px;
	font-weight: 400;
	line-height: 1.4;
	color: var(--white);
	text-align: left;
	margin-bottom: 0;
	font-family: var(--font-family-2);
}

.card-theteam-box{
	position: relative;
}
.card-theteam{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
}
.card-theteam-img{
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	-moz-border-radius: 50%;
	-webkit-border-radius: 50%;
	overflow: hidden;
	width: 100px;
	height: 100px;
	border: 3px solid var(--color-1);
	position: absolute;
	top: 0;
	left: 50%;
	transform: translate(-50%,0);
}
.card-theteam-img img{
	display: block;
	width: 100%;
	height: auto;
	object-fit: cover;
	object-position: center;
	margin: 0 auto;
}
.card-theteam-desc{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
	min-height: 160px;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border: 1px solid var(--grey-100);
	background-color: var(--white);
	margin-top: 60px;
	padding: 60px 15px 15px 15px;	
}
.card-theteam-desc h4{
	font-size: 16px;
	font-weight: 500;
	line-height: 1;
	color: var(--color-text-1);
	text-align: center;
	margin-bottom: 8px;		
}
.card-theteam-desc h5{
	font-size: 13px;
	font-weight: 400;
	line-height: 1;
	color: var(--color-1);
	text-align: center;
	margin-bottom: 10px;		
}
.card-theteam-desc p{
	font-size: 14px;
	font-weight: 400;
	line-height: 1;
	color: var(--grey-600);
	text-align: center;
	margin-bottom: 0;
}

/* section about chain */
.section-about-chain{
	min-height: 800px;
	background-image: url('../images/layouts/bg-vilage-5.png');
	background-repeat: no-repeat;
	background-position: bottom right;
	background-size: 100% 540px;	
}

/* = LIBRARY
------------------------------------------------------------ */
/* card picture */
.card-pict{
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: center;
	position: relative;
	background-color: var(--white);
	border: 2px solid var(--color-3);
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	width: 100%;
	height: 400px;
	margin: 0 auto;
	overflow: hidden;
}
.card-pict-img{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 1;
}
.card-pict-img img{
	display: block;
	width: 100%;
	height: 100%;
	object-position: center;
	object-fit: cover;
	margin: 0 auto;
}
.card-pict-desc{
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: center;
	width: 100%;
	height: 100%;
	position: relative;
	padding: 15px 15px 30px;
	z-index: 5;
	background: rgb(255,255,255);
	background: -moz-linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 96%);
	background: -webkit-linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 96%);
	background: linear-gradient(180deg, rgba(255,255,255,0) 50%, rgba(0,0,0,1) 96%);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff",endColorstr="#000000",GradientType=1);
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
}
.card-pict-desc h4{
	font-size: 18px;
	font-weight: 500;
	line-height: 1.2;
	margin-bottom: 10px;
	color: var(--white);
}
.card-pict-desc p{
	font-size: 14px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
	color: var(--white);	
}
.card-pict-logo{
	display: flex;
	justify-content: center;
	align-items: center;
	margin-bottom: 15px;
	background-color: var(--white);
	padding: 5px 10px 5px;
	border-radius: 6px;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
}
.card-pict-logo img{
	display: block;
	width: auto;
	height: 40px;
}
.card-pict-door{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	transform: translate(0,150%);
	visibility: hidden;
	padding: 20px;
	z-index: 10;
	background-color: var(--white);
	overflow: hidden;
	border-radius: 6px;
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;	
	transition: all 0.3s ease;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;	
}
.card-pict-door-caption{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;	
	width: 100%;
}
.card-pict-door-caption h4{
	font-size: 16px;
	font-weight: 500;
	margin-bottom: 5px;
	color: var(--color-text-1);	
}
.card-pict-door-caption h5{
	font-size: 14px;
	font-weight: 400;
	margin-bottom: 20px;
	color: var(--grey-600);
}
.card-pict-door-caption p{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 5;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	font-size: 14px;
	font-weight: 400;
	margin-bottom: 8px;
	color: var(--color-text-1);	
}
.card-pict-door-caption h6{
	font-size: 14px;
	font-weight: 400;
	margin-bottom: 8px;
	color: var(--grey-600);
}
.card-pict-door-action{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	margin-top: 30px;
}
.card-pict:hover .card-pict-door{
	transform: translate(0,0);
	visibility: visible;
	transition: all 0.6s ease-in-out;
	-webkit-transition: all 0.6s ease-in-out;
	-moz-transition: all 0.6s ease-in-out;
}
.card-pict-list{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	width: 100%;
	list-style: none;
	padding: 10px;
	margin: 0;
	row-gap: 5px;
	column-gap: 5px;
}
.card-pict-list li{}
.card-pict-list img{
	display: block;
	width: 50px;
	height: auto;
	margin: 0 auto;
}

/* = NEWS
------------------------------------------------------------ */
.section-newslanding-news{
	padding: 7rem 0 4.5rem;
	border-radius: 50px 50px 0 0;
	-webkit-border-radius: 50px 50px 0 0;
	-moz-border-radius: 50px 50px 0 0;
	min-height: 600px;
	background-image: url('../images/layouts/bg-newslanding.png');
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}
.bg-newstoplight{
	min-height: 500px;
	background-image: url('../images/layouts/bg-news-detail.png');
	background-repeat: no-repeat;
	background-position: top right;
	background-size: 100% 335px;	
}

/* = AGENDA
------------------------------------------------------------ */
.acticle-event-info-box{
	display: flex;
	width: 100%;
	position: relative;
	margin: -60px 0 40px;
}
.acticle-event-info{
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	row-gap: 15px;
	column-gap: 30px;
}
.acticle-event-info-item{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 50%;
	min-height: 100px;
	padding: 15px;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border: 1px solid var(--grey-200);
	background-color: var(--white);
	box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
	-webkit-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
	-moz-box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
}
.acticle-event-info-item h4{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 500;
	margin-bottom: 10px;
	text-align: center;
	color: var(--color-1);	
}
.acticle-event-info-item p{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
	text-align: center;
	color: var(--color-text-1);	
}
.section-article[data-status="closed"] .acticle-event-info-item{
	background-color: var(--grey-300);
}
.section-article[data-status="closed"] .acticle-event-info-item h4,
.section-article[data-status="closed"] .acticle-event-info-item p{
	color: var(--grey-700);
	font-style: italic;
}

/* = BUSINESS
------------------------------------------------------------ */
.section-businesslanding-book{
	padding: 7rem 0 4.5rem;
	min-height: 600px;
	background-image: url('../images/layouts/bg-book.png');
	background-repeat: no-repeat;
	background-position: left top;
	background-size: 100% auto;
}
.business-article{
	position: relative;
}
.business-article-title{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	margin-bottom: 10px;
}
.business-article-title h1,
.business-article-title h2,
.business-article-title h3{
	font-size: 34px;
	line-height: 1.2;
	font-weight: 500;
	margin-bottom: 10px;
	font-family: var(--font-family-1);
}
.business-article-title h5{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 500;
	margin-bottom: 0;
	color: var(--grey-700);
	font-family: var(--font-family-1);
}
.business-article-tag{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	align-items: center;
	width: 100%;
	row-gap: 5px;
	column-gap: 5px;
	margin-bottom: 30px;
}
.business-article-tag p{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
	color: var(--grey-600);
	font-family: var(--font-family-2);
}
.business-article-desc{
	display: flex;
	width: 100%;
	position: relative;
	margin-bottom: 20px;
}
.business-article-desc p{
	font-size: 16px;
	font-weight: 400;
	margin-bottom: 0;
}
.business-article-list{
	display: grid;
	grid-template-columns: 1fr 1fr;
	width: 100%;
	row-gap: 20px;
	column-gap: 30px;
	list-style: none;
	padding: 0;
	margin: 0 0 20px 0;
}
.business-article-list li{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	padding: 20px 0 20px;
	border-bottom: 1px solid var(--grey-200);
}
.business-article-list h4{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 10px;
	color: var(--grey-600);
}
.business-article-list p{
	font-size: 16px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
}
.business-article-footer{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	margin: 20px 0 30px;
}
.business-article-footer h4{
	font-size: 18px;
	line-height: 1.2;
	font-weight: 500;
	margin-bottom: 10px;
}
.business-article-link{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	width: 100%;
	row-gap: 10px;
}
.business-article-lightbox{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	min-height: 280px;
	padding: 20px;
	background-image: url('../images/layouts/bg-lightbox.png');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: right bottom;
	background-color: var(--color-1);
	overflow: hidden;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	margin-bottom: 40px;
}
.business-article-lightbox h4{
	font-size: 18px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 20px;
	color: var(--white);
}
.business-article-lightbox h5{
	font-size: 60px;
	font-family: var(--font-family-2);
	line-height: 1.2;
	font-weight: 700;
	margin-bottom: 0;
	color: var(--white);	
}
.business-article-sustainable-list{}
.business-article-sustainable-list h4{
	font-size: 18px;
	line-height: 1.2;
	font-weight: 500;
	margin-bottom: 10px;
}
.business-article-sustainable-list ul{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	row-gap: 5px;
	column-gap: 5px;
	list-style: none;
	padding: 0;
	margin: 0;
	width: 100%;
}
.business-article-sustainable-list li{
	display: flex;
}
.business-article-sustainable-list img{
	display: block;
	width: auto;
	height: 70px;
	margin: 0 auto;
}

/* = PUSTAKA
------------------------------------------------------------ */
.card-book-box{
	position: relative;
	margin: 0 auto;
}
.card-book{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: stretch;
	width: 100%;
	border: 1px solid var(--grey-100);
	background-color: var(--white);
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	overflow: hidden;
}
.card-book-img{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	overflow: hidden;
}
.card-book-img img {
	display: block;
	height: 100%;
	width: 100%;
	object-fit: cover;
	object-position: center;
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
}
.card-book:hover .card-book-img img {
	transition: all 0.6s ease;
	-webkit-transition: all 0.6s ease;
	-moz-transition: all 0.6s ease;
	filter: brightness(60%);
	-webkit-filter: brightness(60%);
	-moz-filter: brightness(60%);
	object-fit: cover;
	transform: scale(1.03);
	-webkit-transform: scale(1.03);
	-moz-transform: scale(1.03);
}
.card-book-desc{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	padding: 15px;
}
.card-book-desc h4{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	font-size: 16px;
	font-weight: 500;
	line-height: 1.2;
	margin-bottom: 0;
	color: var(--color-text-1);
}
.card-book-desc p{
	font-size: 16px;
	font-weight: 400;
	margin-bottom: 0;
	color: var(--color-text-1);
}
/* variant highlight */
.card-book.variant-highlight{
	flex-direction: row;
	justify-content: flex-start;
	align-items: stretch;
	border: none;
	background-color: var(--color-1);
}
.card-book.variant-highlight .card-book-img{
	align-items: stretch;
	height: unset;
	width: 40%;
	padding: 20px;
}
.card-book.variant-highlight .card-book-desc{
	background-color: var(--color-1);
	flex: 1;
	padding: 20px;
}
.card-book.variant-highlight .card-book-desc h4{
	font-size: 24px;
	margin-bottom: 20px;
	color: var(--white);
}
.card-book.variant-highlight .card-book-desc p{
	display: box;
	display: -moz-box;
	display: -webkit-box;
	-webkit-line-clamp: 4;
	box-orient: vertical;
	-moz-box-orient: vertical;
	-webkit-box-orient: vertical;
	overflow: hidden;
	width: 100%;	
	color: var(--white);
}
/* bookdetail */
.bookproduction-box{
	position: relative;
}
.bookproduction-title{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	width: 100%;
	margin-bottom: 10px;
}
.bookproduction-title h1,
.bookproduction-title h2,
.bookproduction-title h3{
	font-size: 30px;
	font-weight: 600;
	line-height: 1.2;
	margin-bottom: 0;
}
.bookproduction-tag{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
	margin-bottom: 20px;
}
.bookproduction-tag p{
	font-size: 14px;
	line-height: 1.2;
	font-weight: 400;
	margin-bottom: 0;
	color: var(--grey-500);
}
.bookproduction-action{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	flex-wrap: wrap;
	width: 100%;
	row-gap: 10px;
	column-gap: 10px;
}

/* = DASHBOARD
------------------------------------------------------------ */
.section-dashboard-top {
	background-image: url('../images/layouts/bg-dashboard.png');
	background-repeat: no-repeat;
	background-position: center top;
	background-size: 100% auto;
}
.profiledashset-document{
	display: flex;
	width: 100%;
	position: relative;
}
.profiledashset-document-list{
	display: grid;
	grid-template-columns: 1fr 1fr;
	width: 100%;
	position: relative;
	list-style: none;
	padding: 0;
	margin: 0;
	row-gap: 15px;
	column-gap: 15px;
}
.profiledashset-document-list li{}

/* card */
.dashdoc-item{
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: flex-start;
	position: relative;
	width: 100%;
	min-height: 180px;
	border-radius: 10px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	overflow: hidden;
	padding: 15px;
	background-color: #FFF4DF;
	background-image: url('../images/layouts/bg-dashboard-document-item.png');
	background-repeat: no-repeat;
	background-size: auto 100%;
	background-position: right bottom;	
}
.dashdoc-item-marker{
	position: absolute;
	top: 10px;
	right: 10px;
	display: flex;
}
.dashdoc-item-marker .diconbox{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	width: 40px;
	height: 40px;
	border-radius: 50%;
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	background-color: var(--white);
}
.dashdoc-item-marker .diconbox i{
	font-size: 16px;
	color: var(--color-2);
}
.dashdoc-item-desc{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	padding-right: 40px;
}
.dashdoc-item-desc h4{
	font-size: 14px;
	font-weight: 400;
	line-height: 1.2;
	margin-bottom: 10px;	
	color: var(--color-text-1);
	font-family: var(--font-family-2);
}
.dashdoc-item-desc p{
	font-size: 10px;
	font-weight: 400;
	line-height: 1.2;
	margin-bottom: 0;
	color: var(--color-text-2);
	font-family: var(--font-family-2);
}
.dashdoc-item-action{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	width: 100%;
	margin-top: 30px;
}

/* = SITEMAP
------------------------------------------------------------ */

/* = SITEMAP
------------------------------------------------------------ */

/* = SITEMAP
------------------------------------------------------------ */

/* = SITEMAP
------------------------------------------------------------ */

/* = SITEMAP
------------------------------------------------------------ */

/* = SITEMAP
------------------------------------------------------------ */
